Skip to content
Start here

Cancel a crawl job.

client.browserRendering.crawl.delete(stringjobId, CrawlDeleteParams { account_id } params, RequestOptionsoptions?): CrawlDeleteResponse { job_id, message }
DELETE/accounts/{account_id}/browser-rendering/crawl/{job_id}

Cancels an ongoing crawl job by setting its status to cancelled and stopping all queued URLs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
jobId: string

The ID of the crawl job to cancel.

params: CrawlDeleteParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
CrawlDeleteResponse { job_id, message }
job_id: string

The ID of the cancelled job.

message: string

Cancellation confirmation message.

Cancel a crawl job.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const crawl = await client.browserRendering.crawl.delete('job_id', { account_id: 'account_id' });

console.log(crawl.job_id);
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}